Bug 447385 - screen gets corrupted with space characters
screen gets corrupted with space characters
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 15:00 EDT by Jane Dogalt
Modified: 2013-03-03 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:09:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture of emacs running in terminal with a couple examples of space corruption (48.65 KB, image/png)
2008-07-02 18:37 EDT, Aram Agajanian
no flags Details

  None (edit)
Description Jane Dogalt 2008-05-19 15:00:12 EDT
Description of problem:

with fedora9 and emacs (maybe a more general gnome-terminal issue), the terminal
screen will get corrupted with space characters.  Basically occasionally (though
couldn't reproduce just now), while doing control-f to move the cursor across a
word boundry, the space between words will be replaced by a white cursor square
(I use gray-on-black color scheme for gnome-terminal).  If I hit contrl-l to
redraw the terminal contents, the square disappears.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Aram Agajanian 2008-07-02 18:37:11 EDT
Created attachment 310864 [details]
picture of emacs running in terminal with a couple examples of space corruption

I am also seeing this happen in emacs.	It only happens when emacs is run out
of a terminal.	(E.g. with the command "emacs -nw".)  I see the space
corruption randomly in the course of typing any text.  It is not just when
using C-f.
Comment 2 David Shaw 2008-07-07 13:39:12 EDT
"Me too".  Here's some more details:

* A inverse space or character appears (seemingly) randomly as I type.
* C-l to force a redraw cleans it up.
* Only happens with 'emacs -nw' (i.e. not with X).
* Changing my $TERM does not seem to help
* Running emacs under 'screen' makes the problem go away (obviously not a fix,
but it might help suggest what is going wrong).

emacs-common-22.2-5.fc9.i386
emacs-22.2-5.fc9.i386
screen-4.0.3-12.fc9.i386
gnome-terminal-2.22.2-1.fc9.i386
ncurses-libs-5.6-16.20080301.fc9.i386
ncurses-devel-5.6-16.20080301.fc9.i386
ncurses-5.6-16.20080301.fc9.i386
ncurses-base-5.6-16.20080301.fc9.i386

Comment 4 David Shaw 2008-12-01 17:24:44 EST
I can confirm this happens on F10 as well.

emacs-22.2-5.fc9.i386
gnome-terminal-2.24.1-2.fc10.i386
ncurses-5.6-20.20080927.fc10.i386
Comment 5 druja 2009-02-08 23:38:42 EST
I've noticed that if I type something in emacs and get the space corruption, copy the space corrupted text, and then paste it into something like a textarea in firefox... the corrupted spaces turn into tabs chars.
Comment 6 David Shaw 2009-02-09 16:28:03 EST
(In reply to comment #5)
> I've noticed that if I type something in emacs and get the space corruption,
> copy the space corrupted text, and then paste it into something like a textarea
> in firefox... the corrupted spaces turn into tabs chars.

I can confirm this.  The inverted spaces copy and paste as tabs.
Comment 7 Jimmy Dorff 2009-03-19 14:44:12 EDT
I can confirm all of the above statements still happen on Fedora 10:
emacs-22.3-4.fc10.i386
emacs-common-22.3-4.fc10.i386
ncurses-libs-5.6-20.20080927.fc10.i386
Comment 8 Jane Dogalt 2009-03-24 19:39:45 EDT
yup, still seeing it in f10.
Comment 9 druja 2009-03-25 02:52:38 EDT
I think this is an emacs bug/misbehavior.

http://www.emacswiki.org/emacs/WhiteSpace

This page discusses WhiteSpace which replaces BlankMode, if you get all the way down to the section "TAB & Display Table" it has a suggested entry for your .emacs file:

        (setq whitespace-display-mappings
          '((space-mark   ?\    [?\xB7]     [?.])	; space
            (space-mark   ?\xA0 [?\xA4]     [?_])	; hard space
            (newline-mark ?\n   [?\xB6 ?\n] [?$ ?\n])	; end-of-line
            ))

Adding this to my .emacs proved an effective workaround for my problem.  I am not, however, sure that I would consider this a proper solution. YMMV.
Comment 10 Daniel Novotny 2009-09-21 08:06:05 EDT
hello, there's a new version 23.1 in Fedora 11 and rawhide:
this bug seems to be gone there: do you see it happening there, too?
Comment 11 Jane Dogalt 2009-09-24 17:00:19 EDT
Given enough months, I will get around to this, but I'm actually procrastinating the f10-f11 upgrade.  Probably it would be better if one of the others that sees this CC because they confirmed it, can try to verify the new version.  Otherwise, given sufficient time, I will eventually.  It should be fun rewiring those few neurons that have learned to hit ctrl-l so automatically that I barely consciously notice it anymore.
Comment 12 Bug Zapper 2009-11-18 04:34:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-12-18 01:09:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.